

<div class="map-container">
  <app-map [longitude]="location.longitude" [latitude]="location.latitude"></app-map>
</div>

<div class="top-container">
  <table>
    <tr><td>

      <mat-card>
        <table>
          <tr>
            <td>
              <mat-card-title name="name">{{ location.name }}</mat-card-title>
            </td>
          </tr>
        </table>
    
    
        <mat-divider></mat-divider>
        <mat-card-content>
          <table>
            <tr>
              <td>Address:</td>
              <td colspan="4" name="address">{{ location.address }}</td>
            </tr>
            <tr>
              <td>City:</td>
              <td colspan="4" name="city">{{ location.city }}</td>
            </tr>
            <tr>
              <td>Country:</td>
              <td colspan="2" name="country">{{ location.country }}</td>
            </tr>
          </table>
    
          <hr>
    
        </mat-card-content>
    
    
      </mat-card>
    </td></tr>
    
    <tr><td>
      
  <mat-card>
    <mat-card-title>Spaces</mat-card-title>
    <hr>
    <mat-card-content>
      <table>
        <tr *ngFor="let space of location.spaces" class="space-row">
          <td width="60%">{{space.name}}</td>
          <td>
            <button mat-button [routerLink]="['/updateSpace/', space.id]" class="res-button" name="edit-button">Edit</button>
          </td>
          <td>
            <button mat-button (click)="deleteSpace(space.id)" class="res-button" name="delete-button">Delete</button>
          </td>
        </tr>
      </table>
    </mat-card-content>
  </mat-card>
    </td></tr>
  </table>



</div>



